	TITLE	test.c
	.386P
include listing.inc
if @Version gt 510
.model FLAT
else
_TEXT	SEGMENT PARA USE32 PUBLIC 'CODE'
_TEXT	ENDS
_DATA	SEGMENT DWORD USE32 PUBLIC 'DATA'
_DATA	ENDS
CONST	SEGMENT DWORD USE32 PUBLIC 'CONST'
CONST	ENDS
_BSS	SEGMENT DWORD USE32 PUBLIC 'BSS'
_BSS	ENDS
_TLS	SEGMENT DWORD USE32 PUBLIC 'TLS'
_TLS	ENDS
FLAT	GROUP _DATA, CONST, _BSS
	ASSUME	CS: FLAT, DS: FLAT, SS: FLAT
endif
PUBLIC	_f
EXTRN	_printf:NEAR
_DATA	SEGMENT
$SG37	DB	'ch == %c', 0aH, 00H
_DATA	ENDS
_TEXT	SEGMENT
_ch$ = 8
_f	PROC NEAR
; File test.c
; Line 5
	push	ebp
	mov	ebp, esp
; Line 6
	movsx	eax, BYTE PTR _ch$[ebp]
	push	eax
	push	OFFSET FLAT:$SG37
	call	_printf
	add	esp, 8
; Line 7
	pop	ebp
	ret	0
_f	ENDP
_TEXT	ENDS
PUBLIC	_main
_TEXT	SEGMENT
_main	PROC NEAR
; Line 12
	push	ebp
	mov	ebp, esp
; Line 13
	push	65					; 00000041H
	call	_f
	add	esp, 4
; Line 14
	push	66					; 00000042H
	call	_f
	add	esp, 4
; Line 15
	push	67					; 00000043H
	call	_f
	add	esp, 4
; Line 16
	xor	eax, eax
; Line 17
	pop	ebp
	ret	0
_main	ENDP
_TEXT	ENDS
END
